# Created by pyp2rpm-3.3.7
%global pypi_name circuitbreaker
%global pypi_version 1.3.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.6
Summary:        Python Circuit Breaker pattern implementation

License:        BSD-3-Clause
URL:            https://github.com/fabfuel/circuitbreaker
Source0:        https://files.pythonhosted.org/packages/source/c/%pypi_name/%pypi_name-%pypi_version.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
CircuitBreaker -- This is a Python implementation of the "Circuit Breaker"
Pattern Inspired by Michael T. Nygard’s highly recommendable book Release It!

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
CircuitBreaker -- This is a Python implementation of the "Circuit Breaker"
Pattern Inspired by Michael T. Nygard’s highly recommendable book Release It!


%prep
%autosetup -n %{pypi_name}-%{pypi_version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Dec 20 2021 Oleg Girko <ol@infoserver.lv> - 1.3.2-1
- Initial package.
